### Method

# Gio DBusMethodInvocation return_gerror

since: 2.26

#### Declaration [src]

    void
    g_dbus_method_invocation_return_gerror (
      GDBusMethodInvocation* invocation,
      const GError* error
    )

#### Description [src]

Like `g_dbus_method_invocation_return_error()` but takes a `GError` instead of the error domain, error code and message.

This method will take ownership of `invocation`. See `GDBusInterfaceVTable` for more information about the ownership of `invocation`.

Available since: 2.26

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError`

  A `GError`.

  The data is owned by the caller of the method.